Skip to main content
Resource Center/Network Resource/VPC Operations

SetVpcVRouterSnatLogState

SetVpcVRouterSnatLogState

PUT/zstack/v1/vpc/virtual-routers/{uuid}/snat-log

Operation ID

SetVpcVRouterSnatLogState

Since

5.5.12

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The VPC vRouter UUID.

Body Fields

  • state
    StringRequired

    The target state of the SNAT log.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • state
    String

    The SNAT log state. Valid values: enable, disable.